defmodule BazVenueAdapterX2y2.MixProject do
  use Mix.Project

  def project do
    [
      app: :baz_venue_adapter_x2y2,
      version: "0.0.2",
      elixir: "~> 1.13",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      package: package(),
      description: description()
    ]
  end

  def application do
    [
      extra_applications: [:logger]
    ]
  end

  defp deps do
    [
      {:baz, "~> 0.0.17"},
      {:ex_x2y2, "~> 0.0.3"},
      {:logger_file_backend, "~> 0.0.1", only: [:dev, :test]},
      {:ex_doc, ">= 0.0.0", only: :dev},
      {:dialyxir, "~> 1.1", only: :dev, runtime: false},
      {:mix_test_watch, "~> 1.0", only: :dev, runtime: false},
      {:ex_unit_notifier, "~> 1.0", only: :test}
    ]
  end

  defp description do
    "X2Y2 venue adapter for baz"
  end

  defp package do
    %{
      licenses: ["MIT"],
      maintainers: ["Alex Kwiatkowski"],
      links: %{"GitHub" => "https://github.com/atlas-xyz/baz-venue-adapter-x2y2"}
    }
  end
end
